Gtk2::FontButton(3)

NAME
Gtk2::FontButton

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gtk2::FontButton

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Glib::Object::_Unregistered::GtkActivatable

METHODS

  widget = Gtk2::FontButton->new ($fontname=undef)

•   $fontname (string)

  widget = Gtk2::FontButton->new_with_font ($fontname=undef)

•   $fontname (string)

  string = $font_button->get_font_name

  boolean = $font_button->set_font_name ($fontname)

•   $fontname (string)

  boolean = $font_button->get_show_size

  $font_button->set_show_size ($show_size)

•   $show_size (boolean)

  boolean = $font_button->get_show_style

  $font_button->set_show_style ($show_style)

•   $show_style (boolean)

  string = $font_button->get_title

  $font_button->set_title ($title)

•   $title (string)

  boolean = $font_button->get_use_font

  $font_button->set_use_font ($use_font)

•   $use_font (boolean)

  boolean = $font_button->get_use_size

  $font_button->set_use_size ($use_size)

•   $use_size (boolean)

PROPERTIES

'font-name' (string : readable / writable / private)
    The name of the selected font

'show-size' (boolean : readable / writable / private)
    Whether selected font size is shown in the label

'show-style' (boolean : readable / writable / private)
    Whether the selected font style is shown in the label

'title' (string : readable / writable / private)
    The title of the font selection dialog

'use-font' (boolean : readable / writable / private)
    Whether the label is drawn in the selected font

'use-size' (boolean : readable / writable / private)
    Whether the label is drawn with the selected font size

SIGNALS

font-set (Gtk2::FontButton)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Button

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.